const fs = require("fs");
const https = require("https");
const axios = require("axios");

const CERT_DIRECTORY = "/usr/src/app/dind-certs-client/certs";

const DockerClient = axios.create({
  baseURL: `https://${process.env.DOCKER_HOST}:${process.env.DOCKER_PORT}`,
  httpsAgent: new https.Agent({
    ca: fs.readFileSync(`${CERT_DIRECTORY}/ca.pem`),
    key: fs.readFileSync(`${CERT_DIRECTORY}/key.pem`),
    cert: fs.readFileSync(`${CERT_DIRECTORY}/cert.pem`),
  }),
});

const EdcClient = axios.create({
  baseURL: `http://${process.env.EDC_HOST}:${process.env.EDC_PORT}/management`,
  headers: {
    "x-api-key": process.env.EDC_MANAGEMENT_API_KEY,
  },
});


module.exports = { DockerClient, EdcClient };
