import { configureStore } from "@reduxjs/toolkit";

import alertReducer from "./reducers/alertSlice";
import stationReducer from "./reducers/stationSlice";
import federatedReducer from "./reducers/federatedSlice";
import edcReducer from "./reducers/edcSlice";

export default configureStore({
  reducer: {
    station: stationReducer,
    alert: alertReducer,
    federated: federatedReducer,
    edc: edcReducer,
  },
  middleware: (getDefaultMiddleware) =>
    getDefaultMiddleware({
      serializableCheck: {
        ignoreActions: ["station/fetchFederatedContainerConfig/fulfilled"],
        ignoredPaths: ["station.containerConfig"],
      },
    }),
});
